IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The review widget listing object

Attributes

iduuid
product_iduuid
products.id
review_widget_iduuid
review_widgets.id
created_attimestamp with time zone
The review widget listing object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "review_widget_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:24:09.754Z"
}

List review widget listings

Filters

idFilter<uuid>
product_idFilter<uuid>
products.id
review_widget_idFilter<uuid>
review_widgets.id
created_atFilter<timestamp with time zone>

Responses

200

A list of review widget listings with the selected columns

206

Partial Content

GET /review_widget_listings
curl -X GET "https://api.bookingmood.com/v1/review_widget_listings?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create review widget listings

Body

Partial<ReviewWidgetListing> | Array<Partial<ReviewWidgetListing>>

Responses

201

The newly created review widget listings with the selected columns

POST /review_widget_listings
curl -X POST "https://api.bookingmood.com/v1/review_widget_listings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete review widget listings

Filters

idFilter<uuid>
product_idFilter<uuid>
products.id
review_widget_idFilter<uuid>
review_widgets.id
created_atFilter<timestamp with time zone>

Responses

204

The deleted review widget listings with the selected columns

DELETE /review_widget_listings
curl -X DELETE "https://api.bookingmood.com/v1/review_widget_listings" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update review widget listings

Filters

idFilter<uuid>
product_idFilter<uuid>
products.id
review_widget_idFilter<uuid>
review_widgets.id
created_atFilter<timestamp with time zone>

Body

Partial<ReviewWidgetListing>

Responses

204

The updated review widget listings with the selected columns

PATCH /review_widget_listings
curl -X PATCH "https://api.bookingmood.com/v1/review_widget_listings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'